---

node:       profiles.$profile_node_name.statistics.reports.$name
infos_node: profile.statistics.reports

structure:

  reports:
    _:                                    node-list    # foreach report
    label:                                string
    show_header_bar:                      bool
    header:                               string
    footer:                               string
    description:                          string
    date_filter:                          node
      df:                                 string
    filter:                               node
      expression:                         string
      filter_items:                       node-list
    sync_graphs_axis_with_relative_date:  bool
    report_elements:                      node-list

infos:

  - node:               label

  - node:               show_header_bar

  - node:               header
    comment:            Header text may contain HTML markup.

  - node:               footer
    comment:            Foter text may contain HTML markup.

  - node:               description
    comment:            Description may contain HTML markup.

  - node:               date_filter.df
    comment:            Date filter

  - node:               filter.expression

  - node:               filter.filter_items

    comment:            >
                        Structured filter items. The filter items are added
                        from global filter upon Save As New Report only.

                        There is no option to edit the filter items in reports
                        editor. The only option is to delete them in repors
                        editor.

                        The filter items do not have any relationship with the
                        filter.expression node! The expression for filter_items
                        expression is generated differently upon report job
                        creation because the filter items are overlayed with
                        any applied global filter.

  - node:               sync_graphs_axis_with_relative_date
    comment:            >
                        Synchronizes the x-axis of chronological graphs in a
                        report with the relative date range of a date filter.

                        This option is useful for a report with multiple report
                        elements, each with a relative date filter which is set
                        to show a periodic time span, i.e. last quarter,
                        previous quarter, etc.

                        If  sync_graphs_axis_with_relative_date is set to true
                        it will always show the x-axis for a full quarter,
                        regardless if log data are available for the entire
                        date range of a quarter.

                        So all chronological graphs in the report, with the
                        specific date filter applied, will show the same
                        x-axis, respectively they are aligned and makes it
                        easier to compare data between different chronological
                        graphs.

  - node:               report_elements
    defned_in_file:     profile.statistics.reports.report_elements

...